using System;
using System.Collections;
using System.Collections.Generic;
using System.Text;

namespace SVVClient_cs
{
    enum razlog { rNapaka = 0, rZmaga = 1, rPoraz = 2, rNeodloceno = 3};

    class Igralec
    {
        public static String Ime = "CSIgralec";

        Random rnd;

        public Igralec()
        {
            rnd = new Random();
        }

        public void ZbudiSe(int sirina, int visina, bool zacnem)
        {
            // Tu dodaj svojo implementacijo
            Console.WriteLine("Igram na " + sirina.ToString() + 'x' + visina.ToString() + " polju, zacnem = " + zacnem.ToString());
        }

        public int KamGres(Polje igralno_polje, int prejsnja_poteza)
        {
            // Tu dodaj svojo implementacijo
            // Ta primer izpise polje in izbere nakljucno veljavno potezo
            // Funkcija naj vrne stevilko stolpca, v katerega zelis dodati svoj zeton
            // Stolpci so ostevilceni od 0 do sirina-1
            igralno_polje.izpisi();
            ArrayList prosti = new ArrayList();
            for (int i = 0; i < igralno_polje.sirina; i++)
                if (igralno_polje[i, igralno_polje.visina - 1] == barva.bPrazna) prosti.Add(i);
            return (int)prosti[rnd.Next(prosti.Count)];
        }

        public void KonecIgre(razlog r)
        {
            // Tu dodaj svojo implementacijo
            Console.WriteLine("Konec igre, razlog = " + r.ToString());
        }
    }
}
